com.asprise.imaging.scan.win

## Class WiaFunctionalUnit

- java.lang.Object
- - com.asprise.imaging.scan.DeviceItem
  - - com.asprise.imaging.scan.FunctionalUnit
    - - com.asprise.imaging.scan.win.WiaFunctionalUnit

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public class WiaFunctionalUnit
      extends FunctionalUnit

  WIA functional unit.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.asprise.imaging.scan.FunctionalUnit

      `FunctionalUnit.BitDepth, FunctionalUnit.Duplex, FunctionalUnit.FileFormat, FunctionalUnit.Mode, FunctionalUnit.OutputFormat, FunctionalUnit.PixelDataType, FunctionalUnit.PropertyBuilder, FunctionalUnit.TiffCompression`

  - ### Field Summary

    - ### Fields inherited from class com.asprise.imaging.scan.FunctionalUnit

      `PROP_ADF, PROP_JPEG_QUALITY, PROP_MODE, PROP_OUTPUT_FORMAT, PROP_TIFF_COMPRESSION`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Closes it children.
    `FunctionalUnit.BitDepth` | `getBitDepth()`
    `long` | `getBrightness()`
    `long` | `getContrast()`
    `String` | `getDescription()` Description (optional)
    `FunctionalUnit.Duplex` | `getDuplex()`
    `String` | `getId()` Full item name.
    `String` | `getName()` Name (optional)
    `FunctionalUnit.PixelDataType` | `getPixelDataType()`
    `long` | `getResolution()`
    `int` | `getWiaVersion()`
    `boolean` | `isDocumentFeeder()` Whether this is a document feeder
    `boolean` | `isFlatbed()` Whether this is a flatbed
    `List<Capability>` | `refreshCapabilities()` Refresh capabilities from the device.
    `void` | `scan(ScanListener listener, String properties)` Performs single or multi-page ADF scan.
    `void` | `setBitDepth(FunctionalUnit.BitDepth bitDepth)`
    `void` | `setBrightness(long brightness)`
    `void` | `setContrast(long contrast)`
    `void` | `setDuplex(FunctionalUnit.Duplex duplex)`
    `void` | `setPaperSize(PaperSize paperSize)`
    `void` | `setPixelDataType(FunctionalUnit.PixelDataType dataType)`
    `void` | `setResolution(long resolution)`
    `void` | `setWiaScanManager(WiaScanManager wiaScanManager)`
    `String` | `toString(boolean verbose, boolean withCapabilities)` String representation of this functional unit.

    - ### Methods inherited from class com.asprise.imaging.scan.FunctionalUnit

      `getDevice, scanOnePage, scanOnePage, toString`

    - ### Methods inherited from class com.asprise.imaging.scan.DeviceItem

      `getCapabilities, getCapability, getCapabilityCurrentValueAsLong, getCapabilityCurrentValueAsString, getCapabilityValue, getCapabilityValueAsLong, getCapabilityValueAsString, isCapabilityDirty, setCapabilityDirty, setCapabilityValue`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### close

          public void close()
                     throws IOException

      Description copied from class: `DeviceItem`
      Closes it children.
      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Overrides:
        `close` in class `DeviceItem`
      Throws:
        `IOException`

    - #### refreshCapabilities

          public List<Capability> refreshCapabilities()
                                               throws ScanException

      Description copied from class: `DeviceItem`
      Refresh capabilities from the device.
      Specified by:
        `refreshCapabilities` in class `DeviceItem`
      Returns:
        list of capabilities that changed
      Throws:
        `ScanException`

    - #### isFlatbed

          public boolean isFlatbed()

      Description copied from class: `FunctionalUnit`
      Whether this is a flatbed
      Specified by:
        `isFlatbed` in class `FunctionalUnit`

    - #### isDocumentFeeder

          public boolean isDocumentFeeder()

      Description copied from class: `FunctionalUnit`
      Whether this is a document feeder
      Specified by:
        `isDocumentFeeder` in class `FunctionalUnit`

    - #### scan

          public void scan(ScanListener listener,
                  String properties)
                    throws ScanException

      Description copied from class: `FunctionalUnit`
      Performs single or multi-page ADF scan.
      Specified by:
        `scan` in class `FunctionalUnit`
      Parameters:
        `listener` - to supply output target and to get notification.
        `properties` - scan properties, you may use FunctionalUnit.PropertyBuilder to build.
      Throws:
        `ScanException`

    - #### getDuplex

          public FunctionalUnit.Duplex getDuplex()

      Specified by:
        `getDuplex` in class `FunctionalUnit`

    - #### setDuplex

          public void setDuplex(FunctionalUnit.Duplex duplex)

      Specified by:
        `setDuplex` in class `FunctionalUnit`

    - #### getPixelDataType

          public FunctionalUnit.PixelDataType getPixelDataType()

      Specified by:
        `getPixelDataType` in class `FunctionalUnit`

    - #### setPixelDataType

          public void setPixelDataType(FunctionalUnit.PixelDataType dataType)

      Specified by:
        `setPixelDataType` in class `FunctionalUnit`

    - #### getBitDepth

          public FunctionalUnit.BitDepth getBitDepth()

      Specified by:
        `getBitDepth` in class `FunctionalUnit`

    - #### setBitDepth

          public void setBitDepth(FunctionalUnit.BitDepth bitDepth)

      Specified by:
        `setBitDepth` in class `FunctionalUnit`

    - #### getResolution

          public long getResolution()

      Specified by:
        `getResolution` in class `FunctionalUnit`

    - #### setResolution

          public void setResolution(long resolution)

      Specified by:
        `setResolution` in class `FunctionalUnit`

    - #### getContrast

          public long getContrast()

      Specified by:
        `getContrast` in class `FunctionalUnit`

    - #### setContrast

          public void setContrast(long contrast)

      Specified by:
        `setContrast` in class `FunctionalUnit`

    - #### getBrightness

          public long getBrightness()

      Specified by:
        `getBrightness` in class `FunctionalUnit`

    - #### setBrightness

          public void setBrightness(long brightness)

      Specified by:
        `setBrightness` in class `FunctionalUnit`

    - #### setPaperSize

          public void setPaperSize(PaperSize paperSize)

      Specified by:
        `setPaperSize` in class `FunctionalUnit`

    - #### getId

          public String getId()

      Full item name.
      Specified by:
        `getId` in class `DeviceItem`

    - #### getName

          public String getName()

      Description copied from class: `DeviceItem`
      Name (optional)
      Specified by:
        `getName` in class `DeviceItem`

    - #### getDescription

          public String getDescription()

      Description copied from class: `DeviceItem`
      Description (optional)
      Specified by:
        `getDescription` in class `DeviceItem`

    - #### toString

          public String toString(boolean verbose,
                        boolean withCapabilities)

      Description copied from class: `FunctionalUnit`
      String representation of this functional unit.
      Specified by:
        `toString` in class `FunctionalUnit`

    - #### getWiaVersion

          public int getWiaVersion()

    - #### setWiaScanManager

          public void setWiaScanManager(WiaScanManager wiaScanManager)

Copyright © Asprise Software. All Rights Reserved. Please visit the product page at asprise.com